# Method: projects.locations.edgeCacheKeysets.patch

- [HTTP request](https://docs.cloud.google.com/media-cdn/docs/reference/rest/v1/projects.locations.edgeCacheKeysets/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/media-cdn/docs/reference/rest/v1/projects.locations.edgeCacheKeysets/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/media-cdn/docs/reference/rest/v1/projects.locations.edgeCacheKeysets/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/media-cdn/docs/reference/rest/v1/projects.locations.edgeCacheKeysets/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/media-cdn/docs/reference/rest/v1/projects.locations.edgeCacheKeysets/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/media-cdn/docs/reference/rest/v1/projects.locations.edgeCacheKeysets/patch#body.aspect)

Updates the parameters of a single EdgeCacheKeyset.

### HTTP request

`PATCH https://networkservices.googleapis.com/v1/{edgeCacheKeyset.name=projects/*/locations/*/edgeCacheKeysets/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `edgeCacheKeyset.name` | `string` Required. The name of the resource as provided by the client when the resource is created. The name must be 1-64 characters long, and match the regular expression `[a-zA-Z]([a-zA-Z0-9_-])*` which means the first character must be a letter, and all following characters must be a dash, an underscore, a letter, or a digit. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. `FieldMask` is used to specify the fields to overwrite in the `https://docs.cloud.google.com/media-cdn/docs/reference/rest/v1/projects.locations.edgeCacheKeysets#EdgeCacheKeyset` resource by the update. The fields specified in the `updateMask` are relative to the resource, not the full request. A field is overwritten if it is in the mask. If the user does not provide a mask then all fields are overwritten. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `updateMask`: - `networkservices.edgeCacheKeysets.update` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/media-cdn/docs/reference/rest/v1/projects.locations.edgeCacheKeysets#EdgeCacheKeyset`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/media-cdn/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).